Debian Bug report logs - #638411
debian-rules-missing-*-target fooled by variables

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Damyan Ivanov <dmn@debian.org>

Date: Fri, 19 Aug 2011 07:45:02 UTC

Severity: normal

Found in version lintian/2.5.2

Fixed in version lintian/2.5.3

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#638411; Package lintian. (Fri, 19 Aug 2011 07:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dmn@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 19 Aug 2011 07:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dmn@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-rules-missing-*-target fooled by variables
Date: Fri, 19 Aug 2011 10:28:17 +0300
Package: lintian
Version: 2.5.2
Severity: normal

I get "certain" error/warnings about missing required/optional targets in the 
following debian/rules:

 -------------------------------------------------
 DEBIAN_TARGETS := clean binary binary-arch binary-indep build build-arch build-indep

 .PHONY: $(DEBIAN_TARGETS)

 $(DEBIAN_TARGETS):
 	dh $@ --parallel
 -------------------------------------------------

I find it handy to use a variable here, so that I can heep the phony target 
list the same as the universal rule at the bottom. And these targets need to be 
phony in order to not interfere with existing files/directories.


Thanks,
    dam

-- System Information:
Debian Release: wheezy/sid
  APT prefers oldstable
  APT policy: (500, 'oldstable'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=bg_BG.utf8, LC_CTYPE=bg_BG.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages lintian depends on:
ii  binutils              2.21.53.20110805-1 The GNU assembler, linker and bina
ii  bzip2                 1.0.5-6            high-quality block-sorting file co
ii  diffstat              1.54-1             produces graph of changes introduc
ii  file                  5.04-6             Determines file type using "magic"
ii  gettext               0.18.1.1-4         GNU Internationalization utilities
ii  intltool-debian       0.35.0+20060710.1  Help i18n of RFC822 compliant conf
ii  libapt-pkg-perl       0.1.24+b2          Perl interface to libapt-pkg
ii  libclass-accessor-per 0.34-1             Perl module that automatically gen
ii  libdigest-sha-perl    5.62-1             Perl extension for SHA-1/224/256/3
ii  libdpkg-perl          1.16.0.3           Dpkg perl modules
ii  libemail-valid-perl   0.185-1            Perl module for checking the valid
ii  libipc-run-perl       0.90-1             Perl module for running processes
ii  libparse-debianchange 1.2.0-1            parse Debian changelogs and output
ii  libtimedate-perl      1.2000-1           collection of modules to manipulat
ii  liburi-perl           1.59-1             module to manipulate and access UR
ii  locales               2.13-16            Embedded GNU C Library: National L
ii  locales-all [locales] 2.13-16            Embedded GNU C Library: Precompile
ii  man-db                2.6.0.2-2          on-line manual pager
ii  perl [libdigest-sha-p 5.12.4-4           Larry Wall's Practical Extraction 
ii  unzip                 6.0-5              De-archiver for .zip files

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch <none>                (no description available)
ii  dpkg-dev           1.16.0.3              Debian package development tools
ii  libhtml-parser-per 3.68-1+b1             collection of modules that parse H
ii  libtext-template-p 1.45-2                Text::Template perl module
ii  man-db             2.6.0.2-2             on-line manual pager
ii  xz-utils           5.1.1alpha+20110809-1 XZ-format compression utilities

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#638411; Package lintian. (Fri, 19 Aug 2011 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 19 Aug 2011 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Damyan Ivanov <dmn@debian.org>
Cc: 638411@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#638411: debian-rules-missing-*-target fooled by variables
Date: Fri, 19 Aug 2011 09:29:41 -0700
Damyan Ivanov <dmn@debian.org> writes:

> I get "certain" error/warnings about missing required/optional targets
> in the following debian/rules:

>  -------------------------------------------------
>  DEBIAN_TARGETS := clean binary binary-arch binary-indep build build-arch build-indep

>  .PHONY: $(DEBIAN_TARGETS)

>  $(DEBIAN_TARGETS):
>  	dh $@ --parallel
>  -------------------------------------------------

> I find it handy to use a variable here, so that I can heep the phony
> target list the same as the universal rule at the bottom. And these
> targets need to be phony in order to not interfere with existing
> files/directories.

We probably are going to have to treat targets that are make variables as
equivalent to % and assume the maintainer knows what they're doing.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#638411; Package lintian. (Fri, 19 Aug 2011 16:48:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 19 Aug 2011 16:48:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#638411; Package lintian. (Sun, 04 Sep 2011 09:27:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 04 Sep 2011 09:27:24 GMT) Full text and rfc822 format available.

Message #20 received at 638411@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 638411@bugs.debian.org, Damyan Ivanov <dmn@debian.org>
Subject: Re: Bug#638411: debian-rules-missing-*-target fooled by variables
Date: Sun, 04 Sep 2011 11:22:04 +0200
[Message part 1 (text/plain, inline)]
On 2011-08-19 18:29, Russ Allbery wrote:
> Damyan Ivanov <dmn@debian.org> writes:
> 
>> I get "certain" error/warnings about missing required/optional targets
>> in the following debian/rules:
> 
>>  -------------------------------------------------
>>  DEBIAN_TARGETS := clean binary binary-arch binary-indep build build-arch build-indep
> 
>>  .PHONY: $(DEBIAN_TARGETS)
> 
>>  $(DEBIAN_TARGETS):
>>  	dh $@ --parallel
>>  -------------------------------------------------
> 
>> I find it handy to use a variable here, so that I can heep the phony
>> target list the same as the universal rule at the bottom. And these
>> targets need to be phony in order to not interfere with existing
>> files/directories.
> 
> We probably are going to have to treat targets that are make variables as
> equivalent to % and assume the maintainer knows what they're doing.
> 

Hi,

I disagree that we should blindly assume that a "variable"-target as a
wildcard.  Consider Lintian's d/rules that has:

$(profiles): $(allchecks) private/generate-profiles.pl
        LINTIAN_ROOT='.' private/generate-profiles.pl

This is completely unrelated to build-arch and build-indep, but its
presence would (as I understand you) make Lintian assume that
build-(arch|indep) is now present.

The alternative is to track variables and understand make.  In theory
this very quickly becomes hard (to do right).  However, if we assume
that people, who would use variables this way, are a bit sane, we can
get away with a far simpler approach.
  Attached is a patch that does very simple (and in some cases even
incorrect[1]) tracking of variables and their values (ignoring tons of
rules).  I still suspect it will not cause a not of false-negatives and
should reduce the number of false-positives.



~Niels

[1] It ignores the significance of "+=" (vs ":=").  It expands
target-variables as it sees them (":=" vs. "=" vars).  It does not
expand variables in variables (i.e. "VAR := $(VAR1) $(VAR2)") etc.

[0001-Added-simple-variable-tracker-in-checks-rules.patch (application/x-wine-extension-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#638411; Package lintian. (Mon, 05 Sep 2011 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 05 Sep 2011 00:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 638411@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Niels Thykier <niels@thykier.net>
Cc: 638411@bugs.debian.org, Damyan Ivanov <dmn@debian.org>
Subject: Re: Bug#638411: debian-rules-missing-*-target fooled by variables
Date: Sun, 04 Sep 2011 17:43:22 -0700
Niels Thykier <niels@thykier.net> writes:

> I disagree that we should blindly assume that a "variable"-target as a
> wildcard.  Consider Lintian's d/rules that has:

> $(profiles): $(allchecks) private/generate-profiles.pl
>         LINTIAN_ROOT='.' private/generate-profiles.pl

> This is completely unrelated to build-arch and build-indep, but its
> presence would (as I understand you) make Lintian assume that
> build-(arch|indep) is now present.

Yup.

Mostly I would have made that choice because it's a lot simpler and I
don't think there are very many packages that use variables for rule
targets, and most of the ones that do have a fairly sophisticated build
system.  But...

> The alternative is to track variables and understand make.  In theory
> this very quickly becomes hard (to do right).  However, if we assume
> that people, who would use variables this way, are a bit sane, we can
> get away with a far simpler approach.
>   Attached is a patch that does very simple (and in some cases even
> incorrect[1]) tracking of variables and their values (ignoring tons of
> rules).  I still suspect it will not cause a not of false-negatives and
> should reduce the number of false-positives.

...if you're willing to do the work, I'm certainly okay with this.  :)
We haven't gotten a lot of complaints about this yet, so if handling the
simple cases along these lines makes people happy, that's an even better
solution.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Mon, 05 Sep 2011 14:00:08 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sat, 10 Sep 2011 10:29:12 GMT) Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dmn@debian.org>:
Bug acknowledged by developer. (Sat, 10 Sep 2011 10:29:17 GMT) Full text and rfc822 format available.

Message #32 received at 638411-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 638411-close@bugs.debian.org
Subject: Bug#638411: fixed in lintian 2.5.3
Date: Sat, 10 Sep 2011 10:18:44 +0000
Source: lintian
Source-Version: 2.5.3

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.5.3.dsc
  to main/l/lintian/lintian_2.5.3.dsc
lintian_2.5.3.tar.gz
  to main/l/lintian/lintian_2.5.3.tar.gz
lintian_2.5.3_all.deb
  to main/l/lintian/lintian_2.5.3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638411@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 10 Sep 2011 11:53:51 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.3
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 474590 574689 580427 584280 607399 613604 617901 617959 622149 624434 629308 633779 634112 634191 636994 637590 637595 637596 637649 637741 637793 637819 638411 639018 639144 639177 639292 639367 639430 639516 639735 639923 639928 639946 640131 640149 640186 640211 640228 640238 640366 640371 640489 640694 640705 640834 640853 640856 640921 640947 640962
Changes: 
 lintian (2.5.3) unstable; urgency=low
 .
   The "Another 51 bites the dust.  169 left to go." release.
 .
   * Summary of tag changes:
     + Added:
       - boilerplate-copyright-format-uri
       - control-file-is-not-a-file
       - comma-separated-files-in-dep5-copyright
       - copyright-has-crs
       - debian-copyright-is-symlink
       - depends-on-packaging-dev
       - dh_installmanpages-is-obsolete
       - missing-field-in-dep5-copyright
       - missing-license-paragraph-in-dep5-copyright
       - missing-license-text-in-dep5-copyright
       - no-debian-copyright
       - obsolete-field-in-dep5-copyright
       - out-of-date-copyright-format-uri
       - package-contains-no-arch-dependent-files
       - perl-module-uses-perl4-libs-without-dep
       - readme-debian-contains-invalid-email-address
       - script-uses-perl4-libs-without-dep
       - syntax-error-in-dep5-copyright
       - unknown-copyright-format-uri
       - unknown-paragraph-in-dep5-copyright
       - unused-license-paragraph-in-dep5-copyright
       - unversioned-copyright-format-uri
       - vim-addon-within-vim-runtime-path
       - wiki-copyright-format-uri
     + Removed:
       - debian-changelog-file-contains-debmake-default-email-address
       - readme-debian-contains-debmake-default-email-address
       - script-calls-init-script-directly
 .
   * checks/*:
     + [NT] Dropped fields from Needs-Info, it is no longer needed.
     + [JW] Use LC_ALL rather than LANG, since LC_ALL overrules
       LANG.  (Closes: #637595)
     + [JW] Removed all whitespace lines to avoid confusing some
       dctrl parsers (notably grep-dctrl).  (Closes: #639928)
     + [JW] Fix a number of broken references in the tag
       descriptions.  (Closes: #639923)
     + [JW] Rewrote Debian Bug references using #nnnnnn notation.
   * checks/binaries.desc:
     + [NT] Remove the reference to the Library Packaging Guide,
       since it is no longer available (in Debian).  (Closes: #640228)
   * checks/changelog-file{,.desc}:
     + [JW] Remove debmake-specific tag in favour of more general
       debian-changelog-file-contains-invalid-email-address.
       (Closes: #639946)
     + [JW,NT] Fixed use of uninitialized value as hash key.
       (Closes: #640238)
     + [NT] Mention that the missing native changelog tag can, in
       some cases, be emitted if it does not look like a Debian
       changelog.
   * checks/{conffile,etcfiles}{,.desc}:
     + [JW] Merged etcfiles into conffile.  (Closes: #637590)
   * checks/conffile:
     + [NT] Skip all checks if "conffiles" is a symlink.
   * checks/control-files{,.desc}:
     + [NT] Check that all members of the control.tar.gz are either
       regular files or directories.
   * checks/copyright-file{,.desc}:
     + [JW] Check for CRLF line endings in copyright files.
       (Closes: #634191)
     + [JW] Extended helper-templates-in-copyright and ensure it is
       only emitted once per package.
   * checks/debhelper{,.desc}:
     + [NT] Recognise /usr/share/R/debian/r-cran.mk as a cdbs-based
       build.  This prevents false-positive "unneeded cdbs" warning.
     + [JW] Check for use of the obsolete dh_installmanpages debhelper
       program.  Thanks to Joey Hess for the report.  (Closes: #634112).
   * checks/debian-readme{,.desc}:
     + [JW] Replace debmake-specific tag with more general
       readme-debian-contains-invalid-email-address.
   * checks/description.desc:
     + [JW] Added references to some tags.  (Closes: #640853)
   * checks/duplicate-files{,.desc}:
     + [NT] Replace the exception for "__init__.py" files by excluding
       all empty files from the check.  The bug (#632789) only requests
       an exception for "empty __init__.py" files and generally empty
       files are unlikely to cause a serious size-waste.
   * checks/fields{,.desc}:
     + [NT] Mention that perl modules included in perl itself should
       be the first dependency if it is only included in the perl
       from experimental.  Thanks to Dominic Hargreaves for the
       report and the patch.  (Closes: #637793)
     + [NT] Warn about (build)depending/recommending on packaging-dev.
       Thanks to Luk Claes for the report and the initial patch.
       (Closes: #629308)
     + [NT] Also emit bad-homepage if the Homepage URL does not seem to
       be using a known protocol (for homepages).  (Closes: #580427)
     + [JW] Bumped the severity of "no-human-maintainers", since it is
       now a Policy "must" directive.  (Closes: #640856)
     + [JW,NT] If superfluous-clutter-in-homepage has been emitted,
       ignore the surrounding "<>" for the rest of the homepage checks.
       (Closes: #640947)
     + [NT] Added check for Build-Depending on libdbX.Y-dev (and related
       packages.  Most packages should be able to use unversioned -dev
       packages.  Thanks to Ondřej Surý for the report and the initial
       tag description.  (Closes: #624434)
   * checks/{filename-length,rules}.desc:
     + [NT] Improved the descriptions of some tags.  (Closes: #639018)
   * checks/files{,.desc}:
     + [NT] Added exceptions to "extra-license-file" for manpages,
       static libraries, .pc-, elf and pyshared-data-files.  This
       covers all the false-positives currently found in the liblicense
       package.  (Closes: #617901)
     + [NT] Ignore non-ELF files in multiarch paths, when checking for
       a missing pre-depends on multiarch-support.  Thanks to Sven
       Joachim for the report.  (Closes: #639735)
     + [NT] Added check for packages that only ships files in /usr/share
       and are not marked "Architecture: all".  Thanks to Evgeni Golov,
       Carl Fürstenberg and Jari Aalto for the suggestions.
       (Closes: #574689)
     + [JW] Do not emit third-party-package-in-python-dir for packages built
       from python{,3}-{stdlib-extensions,profiler,old-doctools} sources.
       Add reference to Python Policy in the tag description.
       (Closes: #640211)
     + [JW] Add check for Vim addons installing files into a directory
       within Vim runtime path.  (Closes: #640371)
     + [NT] Added check for Perl modules using perl4 libs without depending
       on libperl4-core-libs-perl.  Thanks to Dominic Hargreaves for the
       initial patch.
   * checks/menus.desc:
     + [NT] Added reference to the doc-base manual to help people
       find the list of valid doc-base sections.  (Closes: #584280)
   * checks/patch-systems:
     + [NT] Use lsdiff to determine if a patch modifies the debian dir as
       it is more accurate than diffstat for this.  (Closes: #640131)
   * checks/rules:
     + [NT] Do a simple and minimal variable tracking.  In very simple
       cases, it can determine which targets a variable contains (when
       the variable is used as a target).  (Closes: #638411)
   * checks/scripts{,.desc}:
     + [NT] Remove script-calls-init-script-directly.  (Closes: #617959)
     + [NT] Added check for Perl scripts using perl4 libs without depending
       on libperl4-core-libs-perl.  Thanks to Dominic Hargreaves for the
       initial patch.  (Closes: #636994)
   * checks/shared-libs{,.desc}:
     + [JW] Fixed a typo in a tag description.  (Closes: #639177)
     + [NT] Do not emit shlib-calls-exit for libraries that have an
       INTERP section.  (Closes: #607399)
   * checks/source-copyright{,.desc}:
     + [JW] Added check for DEP-5 copyright files.  (Closes: #633779)
   * checks/standards-version:
     + [NT] Made the ancient-standards-version independent of the
       system time.
   * checks/version-substvars{,.desc}:
     + [NT] Also emit the any-depends-all tag if the ">=" relation is
       used.  Thanks to Konstantinos Margaritis and Cyril Brulebois for
       the report and the research.  (Closes: #639144)
 .
   * collection/fields{,.desc}:
     + [NT] Removed, no longer used.
   * collection/changelog-file:
     + [NT] Double check changelogs that does not explicitly contains
       "debian" in the filename.  This should avoid a myriad of syntax
       error tags in some cases (such as perl), where the Debian
       changelog is not present and there is an upstream changelog.
 .
   * data/fields/archive-sections:
     + [NT] Fixed a typo in "otherosfs" section name.  Thanks to
       Stefan Potyra for the report.  (Closes: #637596)
   * data/files/fonts:
     + [NT] Refreshed against sid and now includes packages starting
       with "fonts-" as well.  Thanks to Paul Wise for the patches.
       (Closes: #622149)
   * data/output/ftp-master-{,non}fatal:
     + [NT] Refreshed.
   * data/output/manual-references:
     + [JW] Refreshed.
   * data/rules/known-makefiles:
     + [JW] Added Makefiles from (the future) dpkg.  (Closes: #640921)
   * data/spelling/corrections{,-multiword}:
     + [NT] Added some corrections for "remove" etc.  Thanks to
       Jakub Wilk for spotting those.
     + [JW,NT] Added more corrections.
       (Closes: #639367, #640149, #613604)
 .
   * debian/control:
     + [NT] (Build-)Depends on patchutils for lsdiff.
   * debian/copyright:
     + [NT] Added Jakub Wilk to maintainers.
   * debian/rules:
     + [JW] Use LC_ALL rather than LANG, since LC_ALL overrules
       LANG.
 .
   * doc/lintian.xml:
     + [NT] Removed duplicate "allowed to" in same sentence.
     + [NT] Added a paragraph on some of the constrains in design
       of Lintian.
   * doc/lintianrc.example:
     + [NT] Add an example on how to enable "--quiet" via lintianrc.
   * doc/README.developers:
     + [NT] New file.  Thanks to Jeremiah C. Foster for the initial
       contribution.
 .
   * frontend/lintian:
     + [NT] Lintian now mentions if overrides may have been ignored.
       This happens if a package contains an override for a tag
       that has been marked "non-overridable" by the current vendor
       profile.
     + [NT] Mention ".changes" as a valid file type in the "unknown
       file" error.  Thanks to Michael Gilbert for the report and
       the patch.   (Closes: #639430)
     + [NT] Always display a given tag if requested with --tags
       or --tags-from-file.  Previously, pedantic and experimental
       tags were not shown unless the relevant options were also
       passed.
     + [JW,NT] Fixed a regression where --check-part ignored display
       settings (such as --display-info).  (Closes: #640694)
     + [NT] If both --verbose and --quiet is used together, then use
       the last of them to appear rather than "both at the same time".
       (Closes: #640366)
     + [NT] Accept --quiet in lintianrc as "quiet".  This option may
       not be used together with "verbose" in the config file.
 .
   * lib/Lintian/Check.pm:
     + [NT] Catch "Name <Name <Email>>" as a malformed email address.
       (Closes: #640489)
     + [JW] Catch misspellings of the "Debian QA Group" maintainer
       email (used for orphaned packages).  (Closes: #640834)
   * lib/Lintian/Collect.pm:
     + [JW,NT] Create the source field from the package field if the
       former is not present.  This fixes a number of false-positves
       introduced in 2.5.2.  (Closes: #640186)
   * lib/Lintian/Collect/Source.pm:
     + [NT] Removed a requirement for fields that was not needed.
     + [NT] Fixed "index" method for source packages.
   * lib/Lintian/Collect/Package.pm:
     + [JW,NT] Replace use of fail with croak.  (Closes: #637741)
   * lib/Lintian/Output.pm:
     + [NT] Merged "quiet" and "verbose" into "verbosity_level".
   * lib/Lintian/Profile.pm:
     + [NT] Reject profiles containing an unknown field.
   * lib/Lintian/Tag/Info.pm:
     + [JW] Create links for references pointing to files in html
       output.
     + [JW] Parse "#nnnnnn" references as links to Debian bugs.
   * lib/Lintian/Tag/Override.pm:
     + [NT] New file.
   * lib/Lintian/Tags.pm:
     + [NT] Track which tags had overrides that have been dropped.
     + [NT,RG] Collect override comments and print the comments
       above the overridden tag (with --show-overrides).  Thanks
       to Carl Fürstenberg for the report.  (Closes: #474590)
     + [NT] Remove the "respect-display-level" code.  It is not as
       useful as intended.
   * lib/Text_utils.pm:
     + [NT] Close <p>-tags in dtml_to_html since the output is used
       in xhtml (xml), where all tags must be closed properly.
       (Closes: #639292)
     + [NT] Remove the last new line (if any) before a </pre> in tag
       to reduce the empty space to the next paragraph.
   * lib/Util.pm:
     + [JW] Use LC_ALL rather than LANG, since LC_ALL overrules
       LANG.
     + [JW] Stricten the DCtrl parser to choke on some syntax errors
       that were silently ignored.  (Closes: #639516)
 .
   * man/lintian.pod.in:
     + [JW] Fixed some stray POD markup.  (Closes: #640705)
     + [JW,NT] Clarified that --tags and --tags-from-file ignores
       display settings.
     + [NT] Documented how lintian behaves if --quiet is used together
       with --verbose or --debug.
     + [NT] Documented how --verbose and --quiet can be enabled via
       the config file.  Only one of "verbose" and "quiet" may
       appear in the config file.
 .
   * profiles/debian/ftp-master-auto-reject.profile:
     + [NT] Refreshed to include udeb-uses-non-gzip-data-tarball.
 .
   * private/*:
     + [JW] Use LC_ALL rather than LANG, since LC_ALL overrules
       LANG.
   * private/refresh-manual-refs:
     + [NT] Remove code to refresh refs to the Library Packaging
       Guide.
     + [JW] Added the java-policy and fixed the lintian ref.
     + [JW] Don't strip newlines from titles, but treat them as regular
       whitespace characters.
     + [JW] Strip some superfluous HTML markup from titles.
 .
   * reporting/{config,html_reports,templates/foot.tmpl}:
     + [NT] Added a link to the Lintian source code.
   * reporting/harness:
     + [NT] Added missing import statement.
   * reporting/html_reports:
     + [JW,NT] Create a gzip'ed version of the raw lintian.log.
       (Closes: #637819)
   * reporting/templates/head.tmpl:
     + [NT] Show the list of all tags in the page header.  Thanks to
       Arno Töll for the suggestion and the patch.  (Closes: #640962)
   * reporting/templates/index.tmpl:
     + [NT] Added link to the new gzip'ed lintian.log.
 .
   * t/*:
     + [JW,NT] Fixed test failures caused by unpacking the source
       with a umask different from 0022.  (Closes: #637649)
Checksums-Sha1: 
 f2a83b2df4f95f865d16222c640793b1e3e6c32b 2326 lintian_2.5.3.dsc
 d63b13670c58c7cbc4c1bac41d29fab1dee1deef 988539 lintian_2.5.3.tar.gz
 3af2e260240e600511f198e3975f83a93d2d7251 632516 lintian_2.5.3_all.deb
Checksums-Sha256: 
 0d9d8c13b50ccd9458fdbd7101251426511438f6b698ace7b40d2539f41334bf 2326 lintian_2.5.3.dsc
 9cd1ab4e9d590f631b7fe67a328e2323e6d769a3aed4f85b108e4d48cb6ab186 988539 lintian_2.5.3.tar.gz
 48c3b61ddcd71258b4f435408838f166573c32bdd498d19660259e88354dea1c 632516 lintian_2.5.3_all.deb
Files: 
 a385c26ff614a5af7fbe5248f4338106 2326 devel optional lintian_2.5.3.dsc
 d5625b1605d80e95dc8fa80691b2cbdf 988539 devel optional lintian_2.5.3.tar.gz
 75aa38e1ee030fa209cb03380fb36b2a 632516 devel optional lintian_2.5.3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOazcpAAoJEAVLu599gGRCSXkP/1YkzwMx+Jg/LRx14h6C21K3
eCCwbsqzK/dNO0ShcBB7cJgwLV6k29LowhFiLSpn/jj8KdRhVmaSjaw2/Ud4vJ0a
IiXWVUF+ijHTQT1XYguyatZoP/6e/Wg92vhNBQuCvA6PwwFCicOfuXyr5xPp4EHh
nl9kQF2J6z3Hpr2anPTuIaKor2vPX3M66CKICjVZe333c/kkp217EnqKksVlXYM+
QwDQxkqylYP4W6CoDxYhhQGmXeS06iTLzDAyN3yxMuClekA/hd8wgipJZzVrIqTj
bo4kiY0cG/HlbpgsQQOMvUyu+lvskR+AlNa8/mFk300uXOJvTD0b3SVAmsGQx9XX
NxfoAhifW8lO3SLD0RVfwPgN7dtKh5LO3LXG2e3xRIx3y7+TsMRDkAtuCoJRx+bo
nMBOCt0lDk2HvFxULU4cVRPZO1J3c8ZXkppiWqaaUpXB1JH/gJxUgGlW31/trNfq
Mw5xRHBq3rbzHbN0CCqJBuXV+Prcj2fRBpeaBupjjgp6ureOxBuupc3RSWCLGypp
AtX3lZzNepEGR/Q+TWim8u7ZwAPThprxbKLE1Lo0LoiYwIGbe6WexJNqrlIVbnbs
SqUnDlRGM7QUasM4P2pqExaHEFa4Mjudo5Z3wi8ivTJB/qhPspm/IvOGu3QQcBNE
64epA9lUam43nfEvOR39
=Z1mN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Oct 2011 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:51:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.